name: MealMood
options:
  bundleIdPrefix: com.alexandrevazquez
  createIntermediateGroups: true
  developmentLanguage: en
packages:
  GoogleMobileAds:
    url: https://github.com/googleads/swift-package-manager-google-mobile-ads.git
    from: 11.13.0
settings:
  base:
    SWIFT_VERSION: 6.0
    IPHONEOS_DEPLOYMENT_TARGET: 17.0
targets:
  MealMood:
    type: application
    platform: iOS
    deploymentTarget: "17.0"
    sources:
      - path: MealMood
    resources:
      - path: MealMood/Configuration/MealMood.storekit
    settings:
      base:
        PRODUCT_BUNDLE_IDENTIFIER: com.alexandrevazquez.mealmood
        MARKETING_VERSION: 1.0.0
        CURRENT_PROJECT_VERSION: 1
        PRODUCT_NAME: MealMood
        ASSETCATALOG_COMPILER_APPICON_NAME: AppIcon
        INFOPLIST_FILE: MealMood/Resources/Info.plist
        GENERATE_INFOPLIST_FILE: false
        TARGETED_DEVICE_FAMILY: "1,2"
        DEVELOPMENT_TEAM: ""
        CODE_SIGN_ENTITLEMENTS: MealMood/Resources/MealMood.entitlements
    dependencies:
      - package: GoogleMobileAds
        product: GoogleMobileAds
    scheme:
      storeKitConfiguration: ../../../MealMood/Configuration/MealMood.storekit
      testTargets:
        - MealMoodTests

  MealMoodTests:
    type: bundle.unit-test
    platform: iOS
    deploymentTarget: "17.0"
    sources:
      - MealMoodTests
    dependencies:
      - target: MealMood
    settings:
      base:
        PRODUCT_BUNDLE_IDENTIFIER: com.alexandrevazquez.mealmood.tests
        GENERATE_INFOPLIST_FILE: true
        TEST_HOST: "$(BUILT_PRODUCTS_DIR)/MealMood.app/MealMood"
